{% if tag %}
  {%- comment -%}Carrega os banners de categoria específicos da tag, caso não exista nenhum, carrega os banners gerais{%- endcomment -%}
  {% assign banner_position = 'tag-banners-categoria-' | append: tag.name %}
  {% load_banners position: banner_position %}
  {% assign banners = loaded_banners %}

  {% assign imgs_without_lazy = 9 %}
  {% if mobile %}
    {% assign imgs_without_lazy = 3 %}
  {% endif %}

  {% if banners.size == 0 %}
    {% assign banner_position = 'tag-banners-categoria' %}
    {% load_banners position: banner_position %}
    {% assign banners = loaded_banners %}
  {% endif %}

  {% if banners.size > 0 %}
    <div class="categories-slider container section" data-categories-slider>
      <div class="swiper">
        <div class="swiper-wrapper">
          {% for banner in banners %}
            {% if banner.url != blank and banner.subtitle != blank %}
              {% assign category_name = banner.subtitle | downcase | replace: " ", "-" | replace: "á", "a" | replace: "é", "e" | replace: "í", "i" | replace: "ó", "o" | replace: "ú", "u" | replace: "ã", "a" | replace: "ẽ", "e" | replace: "ç", "c" | strip %}
              <div class="swiper-slide">
                <a class="category {% if tag.name == category_name %} -current {% endif %}" aria-label="Acessar a categoria {{ category_name }}" href="{{ banner.url }}" {% if banner.external %} target="_blank" {% endif %}>
                  {% if banner.file_url != blank %}
                    {% if forloop.index <= imgs_without_lazy %}
                      <img src="{{ banner.file_url | resize: '30x' }}" alt="{{ category_name }}">
                    {% else %}
                      <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: '30x' }}" alt="{{ category_name }}">
                    {% endif %}
                  {% endif %}
                  {% if banner.description != blank %}
                    {{ banner.description | replace: '<h1', 'p' | replace: '<h2', 'p' | replace: '<h3', 'p' | replace: '<h4', 'p' }}
                  {% endif %}
                </a>
              </div>
            {% endif %}

          {% endfor %}
        </div>
      </div>
      {% if mobile %}
        <div class="swiper-pagination"></div>
      {% else %}
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>
      {% endif %}
    </div>
  {% endif %}
{% endif %}
